package org.springblade.third.elevator.feign;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.ElevatorDevice;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ThirdElevatorDeviceClientFallback implements IThirdElevatorDeviceClient {
	@Override
	public List<ElevatorDevice> sync() {
		return null;
	}

	@Override
	public R getRealvideo(String registerCode) {
		return null;
	}

	@Override
	public R getLiftHisAlarm(String registerCodes) {
		return null;
	}


	@Override
	public R getAlarmVideo(String alarmCode) {
		return null;
	}

	@Override
	public R getLiftStatus(String registerCode) {
		return null;
	}

	@Override
	public R getLiftPointData(String registerCode) {
		return null;
	}

	@Override
	public R subscribeAlarmData(String webHookUrl) {
		return null;
	}

}
